GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.PODItem Class Reference

## Public Member Functions
String | getReferenceNumber ()
void | setReferenceNumber (String value)
String | getImageName ()
void | setImageName (String value)
byte [] | getImageData ()
void | setImageData (byte[] value)

## Protected Attributes
String | referenceNumber
String | imageName
byte [] | imageData

## Detailed Description

Proof of delivery attributes (of a tracked item)

Java class for PODItem complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="PODItem">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ReferenceNumber" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
            <element name="ImageName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="ImageData" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 40 of file parcelshop/PODItem.java.

## Member Function Documentation

## ◆ getImageData()

byte [] eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.PODItem.getImageData | ( |  | ) |

Gets the value of the imageData property.

Returns
  possible object is byte[]

Definition at line 104 of file parcelshop/PODItem.java.

## ◆ getImageName()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.PODItem.getImageName | ( |  | ) |

Gets the value of the imageName property.

Returns
  possible object is String

Definition at line 81 of file parcelshop/PODItem.java.

## ◆ getReferenceNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.PODItem.getReferenceNumber | ( |  | ) |

Gets the value of the referenceNumber property.

Returns
  possible object is String

Definition at line 57 of file parcelshop/PODItem.java.

## ◆ setImageData()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.PODItem.setImageData | ( | byte [] | value | ) |

Sets the value of the imageData property.

Parameters

  value | allowed object is byte[]

Definition at line 115 of file parcelshop/PODItem.java.

## ◆ setImageName()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.PODItem.setImageName | ( | String | value | ) |

Sets the value of the imageName property.

Parameters

  value | allowed object is String

Definition at line 93 of file parcelshop/PODItem.java.

## ◆ setReferenceNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.PODItem.setReferenceNumber | ( | String | value | ) |

Sets the value of the referenceNumber property.

Parameters

  value | allowed object is String

Definition at line 69 of file parcelshop/PODItem.java.

## Member Data Documentation

## ◆ imageData

byte [] eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.PODItem.imageData
| protected

Definition at line 47 of file parcelshop/PODItem.java.

## ◆ imageName

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.PODItem.imageName
| protected

Definition at line 45 of file parcelshop/PODItem.java.

## ◆ referenceNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.PODItem.referenceNumber
| protected

Definition at line 43 of file parcelshop/PODItem.java.

The documentation for this class was generated from the following file:

- parcelshop/PODItem.java